name = "Star Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Star Icon", "starmod.png", "Normal", "OneSideTo1x1")
	end
end

function init()
	exdilin.load_block_model("Star Block", "starmodel.obj")
end

function pre_init()
	local block = exdilin.new_block({
		id = "Star Block",
		modelName = "Star Block"
	})
	local blockItem = block.default_block_item("Star Icon", "chase")
	blockItem.register()
	block.register()

	local alexTextureItem = exdilin.texture_item("Star Icon")
	alexTextureItem.register()
end